/*** App manager panel ***/
/* Overall */
.app-manager-panel {}

/* Nav bar */
.app-manager-panel .nav-link:not(#create-tab),
#app-log-page .nav-link {
    text-decoration: none;
    color: #000;
}

/* Forms */
.error-input {
    border: 1px solid red;
}

/* App display */
.app-display { 
    padding: 20px;
}

/* App summary */
.app-modal {
    border-radius: 2px;
    border: 1px solid rgb(226 232 240);
    box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
}

.app-modal-header {
    padding: 10px;
    font-size: 110%;
    color: #ffffff;
    height: fit-content;
    width: 100%;
}

.app-modal-body {
    padding: 10px;
    background-color: #ffffff;
}

.app-modal-btn-container {
    margin-top: 10px;
    width: fit-content;
    margin-left: auto;
}

/* App form */
.routes-input,
.input-tag-field {
    display: flex;
    flex-direction: row;
    gap: 10px;
    width: 100%;
}

.routes-input .btn {
    width: 120px;
}

.routes-input > *,
.input-tag-field > * {
    flex: 0 auto;
}

.route-tag-container,
.input-tag-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

form .route-tag-container,
form .input-tag-container {
    margin-top: 10px;
}

.route-tag,
.tag,
.input-tag {
    padding: 5px;
    font-size: 90%;
    border-radius: 3px;
    box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
    width: fit-content;
    height: fit-content;
    border: 0.5px solid rgb(226 232 240);
    margin-right: 10px;
}

.route-tag-path {
    background-color: rgb(241 245 249);
    padding: 5px;
}

.route-tag-close,
.input-tag-close {
    color: #4b5563;
    cursor: pointer;
    font-weight: 300;
    margin-left: 3px;
}

.route-tag-close:hover,
.input-tag-close:hover {
    color: #000;
    font-weight: 500;
}

input[name="allowed_ips"] {
    width: 300px;
}

/* K8s resources manager */
input[name="replicas"] {
    width: 100px;
}

.k8s-resources-manager .alert .fa-exclamation {
    width: 20px;
    height: 20px;
    font-size: 70%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

/* App containers */
.app-containers-display {
    min-height: 300px;
}

.app-container-btn {
    color: rgb(100 116 139);
    transition-duration: 0.5s;
}
.app-container-btn:hover {
    color: #000;
}

.app-container {
    padding: 20px;
    border-radius: 3px;
    border: 1px solid rgb(203 213 225);
    margin-top: 10px;
    background-color: #ffffff;
}

/*** Containers ***/
.log-container {
    padding: 30px;
    border-radius: 10px;
    background-color: #ffffff;
    box-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.479);
}

/*** Manage app tab ***/
.access-manager-panel .user-card {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 10px;
    padding-bottom: 10px;
    border-radius: 5px;
    border: 1px solid rgb(203 213 225);
    gap: 12.5px;
    width: fit-content;
    min-width: 300px;
}

.access-manager-panel .role-instructions-btn {
    cursor: pointer;
    transition-duration: 0.25s;
    color: rgb(37 99 235);
}
.access-manager-panel .role-instructions-btn:hover {
    color: rgb(96 165 250);
}

#accessManagerModal .user-option:hover {
    background-color: rgb(229 231 235);
}

.user-search-bar {
    position: relative;
}

.user-search-bar .search-results {
    position: absolute;
    top: 100%;
    width: 100%;
}

#accessManagerModal .user-option .dropdown-toggle {
    width: 90px;
}
